<mat-card style="margin: 16px" class="mat-elevation-z2">
  <mat-card-header>
    <mat-card-title style="margin-left: -14px">Supplier List</mat-card-title>
  </mat-card-header>
  <mat-accordion *ngIf="suppliers$ | async as suppliers">
    <mat-expansion-panel>
      <mat-expansion-panel-header>
        <mat-panel-title>
          List of {{suppliers.length}} suppliers
        </mat-panel-title>
      </mat-expansion-panel-header>
      <nz-table #basicTable [nzData]="suppliers">
        <thead>
        <tr>
          <th>ID</th>
          <th>Name</th>
          <th>Action</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let data of basicTable.data">
          <td>{{data.id}}</td>
          <td>{{data.name}}</td>
          <td>
            <button mat-raised-button style="margin-right: 8px" (click)="open(data)">Edit</button>
            <button mat-raised-button color="warn" (click)="delete(data.id)">Delete</button>
          </td>
        </tr>
        </tbody>
      </nz-table>
    </mat-expansion-panel>
  </mat-accordion>
  <mat-card-actions>
    <button mat-raised-button color="primary" style="margin: 8px" (click)="open()">Add</button>
  </mat-card-actions>
</mat-card>

<nz-modal [(nzVisible)]="show" [nzFooter]="null" (nzOnCancel)="show = false">
  <app-supplier-form *ngIf="show" [supplier]="selectedSupplier" (done)="show=false"></app-supplier-form>
</nz-modal>
